import 'dart:io';

import 'package:flutter/material.dart';
import 'package:v4_navigation_engine/v4_navigation_lib.dart';

import 'about.dart';

class Navigation extends StatefulWidget {

  static const routeName = '/navigation';

  String mode;

  Navigation({Key key, this.mode}) : super(key: key);

  @override
  _NavigationState createState() => _NavigationState();
}


class _NavigationState extends State<Navigation> {

  bool navigationStarted = false;

  MileNavigationController navigationController;

  @override
  void initState(){
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        body: Stack(
          children: <Widget>[
            Container(
              height: MediaQuery.of(context).size.height,
              width: MediaQuery.of(context).size.width,
              child: NavigationView(
                route: '{"id": "PA293", "Allergens":{"graminales":0,"olive":0,"birch":1,"lastUpdate":"2020-02-06T21:26:43.198Z","itemsAl":{"AL10":{"level":0,"name":"Graminales"},"AL11":{"level":0,"name":"Ragweed"},"AL2":{"level":0,"name":"Birch"},"AL6":{"level":0,"name":"Olive"}},"ragweed":0,"items":{"graminales":0,"olive":0,"birch":0,"ragweed":0}},"Description":{"DE":"Etwas mehr als 5 km, um sich zu entspannen und frische Luft zu schnappen! Spazieren Sie durch das Viertel Gerland bis zu der Stelle, an der die beiden Flüsse der Stadt zusammenfließen. Auf Ihrem Weg erfahren Sie mehr über die Stadt und ihre Sehenswürdigkeiten.","EN":"Time for a Smart Run of just over 5 km, to help you relax and get some fresh air! Stroll through the Gerland district and up to the Confluence, as you learn a little more about the city and its sights.","IT":"Poco più di 5 chilometri per rilassarsi e respirare dell\'aria fresca! Fai una passeggiata nel quartiere Gerland fino ad arrivare alla Confluence, e scopri un pò di più su questo mitico quartiere di Lione.","FR":"Un peu plus de 5 km pour se détendre et prendre l’air ! Promenez-vous dans le quartier de Gerland jusqu’à la pointe de la Confluence, et apprenez-en un peu plus sur ce mythique quartier de Lyon.","ES":"¡He aquí algo más de 5 km para relajarse y tomar el aire! Paséate por Gerland hasta la punta de la Confluence, y descúbrelo todo sobre este mítico barrio de Lyon."},"CheckedIT":true,"CheckedEN":true,"dateEnd":"","isHoraire":false,"timeStamping":1558599494725,"CheckedES":true,"idCategory":0,"Easiness":1,"Name":{"DE":"Spaziergang in Gerland","EN":"A Stroll in Gerland","IT":"Una passeggiata a Gerland","FR":"Promenade à Gerland","ES":"De paseo por Gerland"},"SponsorID":"SP0","Sponsors":{"SP0":true},"Ascent":44,"imageURL":"https://firebasestorage.googleapis.com/v0/b/shining-heat-203.appspot.com/o/ImageRoute%2FLyon_Promenade%20a%20Gerland_Pont%20Raymond%20Barre.jpg?alt=media&token=7cfa20b4-942c-4139-be4e-426871df7ace","isStartingPointStatic":false,"DataCountry":{"Continent":["C3"],"City":["V0","V1","V101","V103","V108","V109","V11","V110","V112","V113","V115","V116","V127","V131","V135","V137","V140","V142","V145","V153","V156","V158","V159","V163","V164","V165","V167","V172","V173","V179","V180","V181","V182","V183","V185","V187","V188","V189","V193","V195","V196","V197","V2","V200","V201","V3","V32","V33","V34","V35","V39","V40","V58","V82","V97"],"Name":{"DE":"Frankreich","EN":"France","IT":"Francia","FR":"France","ES":"Francia","NL":"Frankrijk"}},"Pollutents":{"lastUpdate":"2020-02-06T22:57:00.253Z","globalAQI":49},"DataCity":{"Status":4,"Coordinates":{"Latitude":45.75845757938,"Longitude":4.8328050539},"Country":["P0"],"ImageUrl":"https://firebasestorage.googleapis.com/v0/b/shining-heat-203.appspot.com/o/ImageCity%2FLyon_Fotolia_70212963_Subscription_Monthly_M.jpg?alt=media&token=e5e436a3-ab17-444c-9b33-2625024e0ab2","Routes":["PA293","PA294","PA295","PA3","PA318","PA345","PA346","PA4","PA412","PA413","PA419","PA5","PA839","PA840","PA942","PA943","PA944","PA945","PA946","PA947","PA948","PA949","PA950","PA951","PA952"],"POI":["PO14","PO15","PO16","PO17","PO18","PO19","PO20","PO21","PO22","PO23","PO2387","PO2388","PO2389","PO2390","PO2391","PO2392","PO2393","PO2394","PO2395","PO2396","PO2397","PO2398","PO2399","PO24","PO2400","PO2401","PO2402","PO2403","PO2404","PO2405","PO2406","PO2407","PO2408","PO2409","PO2410","PO2411","PO2412","PO2413","PO2414","PO25","PO2585","PO2586","PO2587","PO2588","PO2589","PO2590","PO2591","PO2592","PO2593","PO2594","PO26","PO27","PO28","PO29","PO2996","PO2997","PO2998","PO2999","PO30","PO3000","PO3001","PO3002","PO3003","PO3004","PO3005","PO3006","PO3007","PO3008","PO3009","PO3010","PO3011","PO3012","PO3013","PO3014","PO31","PO32","PO33","PO34","PO35","PO36","PO37","PO38","PO39","PO40","PO42","PO43","PO44","PO45","PO46","PO47","PO48","PO49","PO50","PO51","PO52","PO53","PO54","PO55","PO56","PO57","PO58","PO59","PO60","PO61","PO62","PO63"],"Name":{"DE":"Lyon","EN":"Lyon","IT":"Lione","FR":"Lyon","ES":"Lyon","NL":"Lyon"}},"Status":4,"CheckedFR":true,"idCity":"V1","City":["V1"],"CityName":"Lyon","POI":["PO2407","PO2389","POD4667","PO2412","PO2396","POD4653","PO2399","POD4664","PO2398","PO2400","PO2397","PO2394","PO2411","POD4665","POD4663","POD4666","POD4662"],"isSmartFactsEnabled":true,"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"CheckedDE":true,"Length":6310,"ShareUrl":{"DE":"https://ztvj2.app.goo.gl/mGJi","EN":"https://ztvj2.app.goo.gl/MVgK","IT":"https://ztvj2.app.goo.gl/zsNd","FR":"https://ztvj2.app.goo.gl/Lqof","ES":"https://ztvj2.app.goo.gl/YyQG","NL":"https://ztvj2.app.goo.gl/7Lh4"},"MapperCoordinates":{"feetPA293":{"44":[4.821750151990843,45.72186087319809],"45":[4.822002279638211,45.72069612673935],"46":[4.822919595121173,45.72044145225347],"47":[4.823731910698395,45.72013949294625],"48":[4.825056921951582,45.72095594969567],"49":[4.826381933204768,45.72175366884956],"50":[4.827426100019776,45.72236084726923],"51":[4.828273678068308,45.72289639298812],"10":[4.824047715468787,45.73288543746141],"11":[4.822597730039463,45.7328166343016],"12":[4.821358155720566,45.73313958717392],"13":[4.819394778721961,45.73367128522661],"14":[4.818248779579394,45.7343120308184],"15":[4.816213678830769,45.73408877698032],"16":[4.815591406339345,45.73286063089021],"17":[4.816898061224697,45.73167551919465],"18":[4.817807304739455,45.73087092073799],"19":[4.818234443664551,45.730014874930994],"0":[4.82779009293738,45.72364305680802],"1":[4.82593,45.72516999999998],"2":[4.826739060757873,45.72563957796459],"3":[4.826953637478983,45.72688286200397],"4":[4.825676905988053,45.72766926232003],"5":[4.8257,45.72915999999999],"6":[4.8257439865546,45.73016647801792],"7":[4.82581372398894,45.73105393397046],"8":[4.825955855725595,45.73262941438972],"9":[4.825093776984521,45.73277685012296],"20":[4.818536865591479,45.73111805867003],"21":[4.818735349058503,45.73229382112723],"22":[4.818799722074846,45.73351823533768],"23":[4.820143534132321,45.73285501430533],"24":[4.821264697500305,45.73196009807265],"25":[4.822104203580811,45.73175321686137],"26":[4.823203909276712,45.73157863098936],"27":[4.8236737132288,45.73171917223959],"28":[4.823713770230171,45.73223177990235],"29":[4.823729622243443,45.73285173796481],"30":[4.823692071317186,45.73375038423967],"31":[4.822871315358825,45.73416225894992],"32":[4.821943271039868,45.73398487237351],"33":[4.821868169187439,45.73313116234034],"34":[4.821417558073046,45.73220255064429],"35":[4.82119,45.73125],"36":[4.821603298187256,45.73030695139165],"37":[4.8210883140563965,45.72928842172582],"38":[4.820950853704568,45.72827965112555],"39":[4.820891845106225,45.72742210912921],"40":[4.820795285581712,45.72624249928388],"41":[4.820966946958653,45.7253662015593],"42":[4.821278083204365,45.72395061465851],"43":[4.821498024343564,45.72294694930374]},"previewPA293":{"44":[4.821268,45.731962],"45":[4.822106,45.731758],"46":[4.823205,45.731583],"47":[4.823291,45.731724],"48":[4.823674,45.731712],"49":[4.823702,45.732232],"50":[4.823731,45.732852],"51":[4.823697,45.73375],"52":[4.822872,45.734163],"53":[4.822663,45.734302],"10":[4.825828,45.731486],"54":[4.822268,45.734318],"11":[4.825667,45.731491],"55":[4.821958,45.733983],"12":[4.825668,45.731654],"56":[4.821877,45.733129],"13":[4.825915,45.731659],"57":[4.821406,45.732206],"14":[4.82597,45.732629],"58":[4.821186,45.73125],"15":[4.825977,45.732757],"59":[4.821607,45.730307],"16":[4.825094,45.732772],"17":[4.824048,45.732882],"18":[4.823741,45.732954],"19":[4.823611,45.732576],"0":[4.827792,45.723644],"1":[4.825923,45.725175],"2":[4.826711,45.725662],"3":[4.826865,45.725756],"4":[4.826947,45.726883],"5":[4.826988,45.727585],"6":[4.825691,45.727675],"7":[4.825703,45.72916],"8":[4.825748,45.730166],"9":[4.825817,45.731054],"60":[4.821599,45.729694],"61":[4.821105,45.729272],"62":[4.820973,45.729123],"63":[4.820949,45.72828],"20":[4.822594,45.73281],"64":[4.820879,45.727424],"21":[4.821361,45.733146],"65":[4.820794,45.726242],"22":[4.819396,45.733673],"66":[4.820968,45.725366],"23":[4.818988,45.733783],"67":[4.821284,45.723951],"24":[4.81872,45.73413],"68":[4.821498,45.722947],"25":[4.818258,45.734326],"69":[4.821749,45.721861],"26":[4.817866,45.733935],"27":[4.817545,45.73418],"28":[4.816217,45.734077],"29":[4.816007,45.734053],"70":[4.822001,45.720696],"71":[4.822036,45.720526],"72":[4.822918,45.720436],"73":[4.823612,45.720075],"30":[4.816108,45.733351],"74":[4.823726,45.720144],"31":[4.81553,45.733265],"75":[4.825062,45.720952],"32":[4.815598,45.732862],"76":[4.826386,45.721749],"33":[4.815798,45.732235],"77":[4.82742,45.722366],"34":[4.816894,45.731673],"78":[4.82828,45.722891],"35":[4.817806,45.730872],"36":[4.818073,45.730719],"37":[4.818283,45.730114],"38":[4.818474,45.730149],"39":[4.818535,45.731118],"40":[4.818732,45.732294],"41":[4.818794,45.733518],"42":[4.819504,45.733356],"43":[4.820139,45.732852]}},"Country":["P0"],"LengthCategorie":5,"arrayPOI":[{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Sie befinden sich gerade auf der Spitze der Halbinsel von Lyon. Hier fließt die Saône in die Rhone, was dem Viertel den Namen Confluence gibt, auf Deutsch Zusammenfluss. Auf dem gegenüberliegenden Ufer der Rhone können Sie das Aquarium von Lyon sehen, welches 2002 erbaut wurde. Es besteht aus 47 Becken, die über 1 Millionen Liter Wasser fassen und 5000 Fische und andere Wassertiere beheimaten.","EN":"You are now standing at the tip of Lyon\'s peninsula. Here, the Saône flows into the Rhône, giving the district its name, Confluence. On the opposite bank of the Rhône, you may spot Lyon\'s aquarium which was built in 2002. It is made up of 47 tanks that contain over 1 million litres of water, around 5000 fish and other aquatic animals.","IT":"Attualmente, ti trovi sulla punta della penisola di Lione. È proprio qui che la Saona si riversa sul Rodano ed è da qui che proviene il nome del quartiere. Sulle rive del Rodano potrai osservare l\'Acquario di Lione costruito nel 2002. Quest\'ultimo è costituito da 47 acquari che ospitano 5000 esemplari di pesce, in 1 milione di litri d\'acqua.","FR":"Vous vous trouvez actuellement à la pointe de la presqu’île de Lyon. C’est également ici que la Saône afflue dans le Rhône, ce qui donne son nom au quartier : la Confluence. Sur la rive du Rhône, vous apercevez l’Aquarium de Lyon datant de 2002. Il comprend 47 aquariums abritant 5000 spécimens représentés et mis en scène dans 1 million de litres d’eau.","ES":"Esta es la punta de la Presqu\'île de Lyon. Es el lugar donde confluyen el Ródano y el Saona, dándole así su nombre al barrio. A orillas del Ródano, se alza el Acuario de Lyon, construido en 2002. Cuenta con una representación de 5000 especies, repartidas en el millón de litros de agua que cabe en sus 47 acuarios."},"IdCity":"V1","GPS":[{"Latitude":45.729917,"Longitude":4.818354}],"IsDirectionnal":false,"Idtype":7,"IsAutoDirectionActivated":false,"Range":100,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"La Confluence","EN":"La Confluence","IT":"La Confluence","FR":"La Confluence","ES":"La Confluence"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Die Tony Garnier Halle ist ein Konzertsaal, der Platz für bis zu 17000 Besucher bietet. Damit stellt sie einen der größten Veranstaltungssäle in Frankreich dar. Sie wurde 1905 eröffnet, und beherbergte zunächst einen Schlachthof, bevor sie im Ersten Weltkrieg als Waffenlager diente, und erst 1988 in einen Konzert- und Ausstellungssaal umgestaltet wurde.","EN":"The Tony Garnier Hall is a concert hall which was originally built as a slaughterhouse in 1905, before being used as an armoury during the First World War. In 1988, it was renovated and converted into a concert hall. The hall has a capacity of nearly 17000 concert-goers, making it one of France\'s biggest venues. ","IT":"La Halle Tony Garnier è una sala di concerti con una capacità di accoglienza di 17000 spettatori, il che la rende una delle più grandi sale di spettacolo del paese. Inaugurata nel 1905, all\'inizio ospitava il mercato di bestiame dell\'agglomerazione, prima di essere usata come fabbrica di armi durante la Grande Guerra. Nel 1988, fu trasformata in una sala di concerti e di mostre.","FR":"La Halle Tony Garnier est une salle de concert pouvant accueillir jusqu’à 17000 spectateurs, ce qui en fait l\'une des plus grandes salles de spectacle du pays. Inaugurée en 1905, elle abrita d\'abord le marché aux bestiaux de l’agglomération, avant d’être réquisitionnée comme usine d\'armement lors de la Grande Guerre. C’est en 1988 seulement qu’elle fut transformée en salle de concerts et d’expositions.","ES":"La Halle Tony Garnier es una de las salas de espectáculos más grandes del país, con un aforo de 17000 espectadores. Inaugurada en 1905, albergó el mercado de ganado de la aglomeración lionesa. Después, sirvió de fábrica de armamento durante la Primera Guerra Mundial. No fue hasta 1988 cuando se la transformó en sala de conciertos y exposiciones. ","NL":"De hal Tony Garnier is een concerthal die 17000 toeschouwers kan ontvangen, een van de grootste concertzalen van het land. Ze werd ingehuldigd in 1905, ze was eerst een dierenmarkt, daarna een wapenfabriek tijdens de oorlog. Het is enkel in 1988 dat ze omgebouwd werd in concertzaal en tentoonstellingszalen."},"IdCity":"V1","GPS":[{"Latitude":45.73080872020691,"Longitude":4.825049936771393},{"Latitude":45.72917046580346,"Longitude":4.824960082769394}],"IsDirectionnal":false,"Idtype":3,"IsAutoDirectionActivated":true,"Range":75,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Tony Garnier Halle","EN":"Tony Garnier Hall","IT":"Halle Tony Garnier ","FR":"Halle Tony Garnier","ES":"Halle Tony Garnier ","NL":"Hal Tony Garnier"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Gehen Sie über den Zebrastreifen. Biegen Sie dann links ab, anschließend nach rechts, um auf die Brücke Pont Pasteur zu gelangen.","EN":"Cross the road on the pedestrian crossing, then turn left and then right to join on to Pasteur bridge.","IT":"Attraversa il passaggio pedonale. In seguito, gira a sinistra poi a destra per raggiungere il ponte Pasteur.","FR":"Traversez la route sur le passage piéton. Ensuite, tournez à gauche puis à droite afin de rejoindre le pont Pasteur.","ES":"Cruza la calle por el paso de peatones; después, gira a la izquierda y a la derecha. Dirígete al Puente Pasteur.","NL":""},"IdCity":"V1","GPS":[{"Latitude":45.7329,"Longitude":4.824267},{"Latitude":45.732943,"Longitude":4.82426},{"Latitude":45.732848,"Longitude":4.824253}],"IsDirectionnal":true,"Idtype":10,"IsAutoDirectionActivated":false,"Range":10,"IsBloquant":false,"Route":{"PA293":true},"Name":{"DE":"D59 (Promenade à Gerland)","EN":"D59 (Promenade à Gerland)","IT":"D59 (Promenade à Gerland)","FR":"D59 (Promenade à Gerland)","ES":"D59 (Promenade à Gerland)"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Das Palais des Sports ist eine Sporthalle, die Platz für 6500 Besucher bietet.","EN":"The Palais des Sports is an indoor sporting arena that can seat up to 6500 people.","IT":"Il Palazzo dello Sport è un impianto sportivo dotato di una capacità di accoglienza di 6500 persone.","FR":"Le Palais des Sports est une salle omnisports qui peut accueillir jusqu’à 6500 personnes.","ES":"El Palacio de los Deportes es un polideportivo con capacidad para 6500 personas. "},"IdCity":"V1","GPS":[{"Latitude":45.724078,"Longitude":4.828223}],"IsDirectionnal":false,"Idtype":3,"IsAutoDirectionActivated":true,"Range":75,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Palais des Sports","EN":"Palais des Sports","IT":"Palais des Sports ","FR":"Palais des Sports","ES":"Palais des Sports (Palacio de los Deportes)"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Die Cité Scolaire Internationale ist eine internationale Schule, die sich aus einer Grundschule, einer Mittelschule und einem Gymnasium zusammensetzt und Schüler aus 48 verschiedenen Nationalitäten vertritt. Ihre Gründung wurde 1988 vom Regionalrat Rhône-Alpes beschlossen, da die Nachfrage nach internationaler Bildung stark gestiegen war.","EN":"The Cité Scolaire Internationale is an international school. There are 48 different nationalities represented among the students. It was the council of Rhône-Alpes who established this school, with an increasing demand for international schools in Lyon. ","IT":"La Cité Scolaire Internationale è un gruppo scolastico costituto da una scuola elementare, una scuola media ed un liceo. In totale, il gruppo conta degli studenti di 48 nazionalità differenti. La sua creazione fu decisa nel 1988 dal Consiglio Regionale della regione Rhône-Alpes, data la forte domanda di istruzione internazionale.","FR":"La Cité Scolaire Internationale est un groupe scolaire composé d\'une école primaire, d\'un collège et d\'un lycée accueillant des élèves de 48 nationalités différentes. Sa création a été décidée en 1988 par le conseil régional de Rhône-Alpes, en raison de la forte progression de la demande d\'enseignement international.","ES":"La Cité Scolaire Internationale es un complejo escolar formado por centros de educación primaria y secundaria. Las instalaciones cuentan con alumnos de 48 nacionalidades diferentes. En 1988, el Consejo Regional de Ródano-Alpes tomó la decisión de su creación, dada la creciente demanda de una enseñanza internacional.","NL":"De internationale schoolgemeenschap is een schoolgroep die lagere school, college en secundaire school bevat die leerlingen uit 48 verschillende nationaliteiten ontvangt. Haar oprichting werd beslist in 1988 door de regionale raad van Rhônes-Alpes, doordat de vraag naar internationaal onderwijs sterk groeide."},"IdCity":"V1","GPS":[{"Latitude":45.727487,"Longitude":4.821454}],"IsDirectionnal":false,"Idtype":0,"IsAutoDirectionActivated":true,"Range":100,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Cité Scolaire Internationale","EN":"Cité Scolaire Internationale","IT":"Cité Scolaire Internationale","FR":"Cité Scolaire Internationale","ES":"Cité Scolaire Internationale","NL":"Internationale Schoolgemeenschap"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Biegen Sie leicht links ab, um die Uferstraße zu verlassen.","EN":"Turn slightly to the left to come off the quays.","IT":"Gira leggermente a sinistra per lasciare le quais.","FR":"Tournez légèrement à gauche afin de quitter les quais.","ES":"Gira ligeramente a la izquierda hasta abandonar la orilla del río.","NL":""},"IdCity":"V1","GPS":[{"Latitude":45.732181,"Longitude":4.818744}],"IsDirectionnal":true,"Idtype":10,"IsAutoDirectionActivated":false,"Range":25,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"D45 (De Saint-Jean à Gerland - Promenade - Autour de la Confluence)","EN":"D45 (De Saint-Jean à Gerland - Promenade - Autour de la Confluence)","IT":"D45 (De Saint-Jean à Gerland - Promenade - Autour de la Confluence)","FR":"D45 (De Saint-Jean à Gerland - Promenade - Autour de la Confluence)","ES":"D45 (De Saint-Jean à Gerland - Promenade - Autour de la Confluence)"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Der Gerland-Park ist eine riesige Grünfläche, die sich auf einem ehemaligen Industriegrundstück befindet. Das Bauprojekt begann 1996 und wurde zehn Jahre später beendet. Die Projektleitung des Parks wurde dem Grand Lyon übertragen. Der Park ist 80 Hektar groß, und besitzt mehrere Spielplätze, einen Skatepark und einen Botanischen Garten, die alle Platz für Freizeitaktivitäten, Sportaktivitäten und der Entdeckung der Flora bieten.","EN":"Gerland Park is a large green space located on a former industrial site. The project of creating the park began in 1996, and was completed a decade later, with the park now covering an area of over 80 hectares. The park contains several playgrounds, a skatepark and a botanical garden. It has also been used twice for the French Archery Championship finals.","IT":"Il Parco di Gerland è un vasto spazio verde situato su un antico terreno industriale. Il progetto fu lanciato nel 1996 e finito nel 2006. La realizzazione del parco fu affidata al comune di Lione. Oggi il parco occupa 80 ettari dedicati alle attività ricreative, a quelle sportive e alla scoperta della flora. Il parco presenta una serie di aree giochi e di spazi riservati, uno skatepark e un giardino botanico.","FR":"Le parc de Gerland est un vaste espace vert situé sur un ancien terrain industriel. Projet lancé en 1996, il occupera à terme 80 hectares dédiés aux loisirs, aux activités sportives et à la découverte de la flore. La réalisation du parc fut achevée en 2006, et la maîtrise d\'ouvrage du parc fut confiée au Grand Lyon. Le parc de Gerland possède une série d\'aires de jeux et d\'espaces cloisonnés, un skatepark et un jardin botanique.","ES":"El Parque de Gerland es un amplio espacio verde, habilitado sobre una antigua zona industrial. Cuando este proyecto, iniciado en 1996, toque a su fin, ocupará 80 hectáreas dedicadas al ocio, al deporte y al descubrimiento de la naturaleza. El diseño del parque estuvo listo en 2006, y el control de obra fue asumido por la comunidad urbana del Gran Lyon. El Parque de Gerland dispone de áreas de juegos protegidas para niños, de un skatepark y de un jardín botánico.","NL":"Het park van Gerland is een groene ruimte gelegen op een oud industrieel terrein. Het project werd gelanceerd in 1996, heeft een totaal van 80 hectaren voor vrije tijd, sportieve activiteiten en ontdekking van de natuur. De realisatie van het park werd beeïndigd in 2006, en de beheersing van het werk werd toevertrouwd aan Groot Lyon. Het park bezit verschillende speelpleinen, afgebakende ruimtes, een skatepark en een plantentuin."},"IdCity":"V1","GPS":[{"Latitude":45.722916,"Longitude":4.821357}],"IsDirectionnal":false,"Idtype":7,"IsAutoDirectionActivated":false,"Range":250,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Gerland-Park","EN":"Gerland Park","IT":"Parco di Gerland","FR":"Parc de Gerland","ES":"Parque de Gerland","NL":"Park van Gerland"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":true},"Status":4,"Description":{"DE":"","EN":"","IT":"","FR":"","ES":"","NL":""},"IdCity":"V1","GPS":[{"Latitude":45.733474,"Longitude":4.816123},{"Latitude":45.731165,"Longitude":4.817526},{"Latitude":45.73134,"Longitude":4.825783},{"Latitude":45.732874,"Longitude":4.824123}],"IsDirectionnal":true,"Idtype":10,"IsAutoDirectionActivated":false,"Range":50,"IsBloquant":false,"Route":{"PA293":true},"Name":{"DE":"D56 (Promenade à Gerland)","EN":"D56 (Promenade à Gerland)","IT":"D56 (Promenade à Gerland)","FR":"D56 (Promenade à Gerland)","ES":"D56 (Promenade à Gerland)","NL":"D56 (Promenade à Gerland)"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Die École Normale Supérieure de Lyon ist eine der hochselektiven Grandes Écoles Frankreichs. Sie zählt zu den drei renommiertesten Universitäten des Landes und den 100 besten der Welt. Sie stellt ein wichtiges Forschungszentrum dar, und ist seit dem 19. Jahrhundert eine der bedeutenden Bildungseinrichtungen für französische Forscher.","EN":"The École Normale Supérieure de Lyon is a highly selective university. It is one of France\'s four Écoles Normales Supérieures, all of which are considered to be among the best universities in France. These universities are part of a long tradition of excellence and public service, having trained researchers and teachers in the fields of sciences and humanities since the 19th century.\n","IT":"L\'École Normale Supérieure di Lione è un ente di insegnamento superiore francese. La scuola è considerata come une delle tre migliori scuole francesi e fa parte delle 100 migliori scuole al mondo. Punto di riferimento nell\'insegnamento superiore francese, essa costituisce un centro di ricerca importante e sin dal 19esimo secolo è uno dei centri principali per la formazione dei ricercatori francesi.","FR":"L’École Normale Supérieure de Lyon est une grande école scientifique et littéraire française. Elle est considérée comme l’une des trois meilleures écoles françaises, et fait partie des 100 meilleures écoles mondiales. Référence dans l\'enseignement supérieur français, elle est un centre de recherche important, et l\'un des centres essentiels de formation des chercheurs français depuis le 19ème siècle.","ES":"La Escuela Normal Superior de Lyon es una grande école científica y literaria. Esto equivaldría, en el sistema educativo francés, a un tipo de escuela universitaria de élite. Esta de Lyon es una de las tres mejores escuelas de Francia y está entre las 100 mejores del mundo. Se trata de una institución de referencia dentro de la educación superior francesa. Además, dado su prestigio como polo de investigación, no es de extrañar que sea uno de los principales centros de formación para los investigadores franceses desde el siglo XIX. ","NL":"De Superieure Normaalschool van Lyon is een grote wetenschappelijke en franse litéraire school. Ze is beschouwd als één van de beste franse scholen, en maakt deel uit de 100 beste scholen wereldwijds. Ze is een referentie in de franse secondaire school, ze is een centrum voor onderzoek, en een belangrijk centrum voor opleiding voor de franse onderzoekers sinds de 19de eeuw."},"IdCity":"V1","GPS":[{"Latitude":45.729857,"Longitude":4.826225},{"Latitude":45.733047,"Longitude":4.834234}],"IsDirectionnal":false,"Idtype":0,"IsAutoDirectionActivated":true,"Range":50,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"École Normale Supérieure de Lyon","EN":"École Normale Supérieure de Lyon","IT":"École Normale Supérieure di Lione","FR":"École Normale Supérieure de Lyon","ES":"École Normale Supérieure de Lyon (Escuela Normal Superior de Lyon)","NL":"Superieure Normaalschool van Lyon"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Das Musée des Confluences ist ein Museum für Naturgeschichte, Anthropologie, Gesellschaft und Zivilisation. Es wurde 2014 eröffnet und befindet sich in einem bemerkenswerten Bauwerk des Dekonstruktivismus, dort wo die beiden Flüsse Rhone und Saône zusammenfließen. Es beinhaltet Dauer- und Sonderausstellungen, welche die Entwicklung, Träume und Grundfragen der menschlichen Gesellschaften in Zeit und Raum beschreiben und verständlich machen möchten.","EN":"The Musée des Confluences is a science centre and anthropology museum which opened in 2014. As its name suggests, the museum is located at the point where the Rhône and the Saône come together. It has a striking deconstructivist architectural design, and contains permanent and temporary collections which focus on the natural sciences, anthropology, art and various other domains.","IT":"Il Musée des Confluences è un museo di storia naturale, antropologia, delle società e delle civiltà. Il museo si trova in un edificio dal design in stile decostruttivista, alla confluenza tra il Rodano e la Saona. I lavori per la sua costruzione furono iniziati nel 2006 e finiti nel 2014, anno della sua inaugurazione. Il museo presenta numerose mostre temporanee e permanenti.\n","FR":"Le Musée des Confluences est un musée d\'histoire naturelle, d\'anthropologie, des sociétés, et des civilisations. Il est hébergé dans un bâtiment design de style déconstructiviste, à la confluence du Rhône et de la Saône. Il fait l\'objet de dépôts et prêts de musées et institutions diverses, pour ses espaces d\'exposition temporaires et permanentes. Les travaux débutèrent en 2006, et l’inauguration eut lieu en 2014.","ES":"El Museo de las Confluencias está dedicado a la historia natural, la antropología, las sociedades y las civilizaciones. Está alojado en un edificio de diseño futurista y deconstructivista, en la confluencia de los dos ríos que pasan por Lyon: el Ródano y el Saona. Para sus espacios de exposiciones temporales y permanentes, cuenta con donaciones y préstamos de museos e instituciones varias. Las obras de construcción comenzaron en 2006, mientras que la inauguración tuvo lugar en 2014. ","NL":"Het museum van Confluence is een museum van natuurgeschiedenis, antropologie, vennootschappen en beschavingen. Ze is gevestigd in een design gebouw in deconstructieve stijl, in de samenvloeiing tussen de Rhône en de Saône. Ze wordt gebruikt om leningen uit verschillende musea, voor zijn permanente en tijdelijke tentoonstellingszalen. De werken werden gestart in 2006 en werden ingehuldigd in 2014."},"IdCity":"V1","GPS":[{"Latitude":45.73265099689861,"Longitude":4.818212985992432}],"IsDirectionnal":false,"Idtype":2,"IsAutoDirectionActivated":true,"Range":100,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Musée des Confluences","EN":"Musée des Confluences","IT":"Musée des Confluences (Museo delle Confluenze)","FR":"Musée des Confluences","ES":"Museo de las Confluencias","NL":"Museum van Confluence"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Confluence ist ein Viertel, das sich im Laufe der Jahre stark verändert hat. Es wurde in den 1770er Jahren vom bekannten Ingenieur und Bildhauer aus Lyon Michel-Antoine Perrache entworfen und errichtet. Nach seinem Tod entwickelte sich das Viertel weiter. Der Bahnhof Perrache wurde Mitte des 19. Jahrhunderts erbaut. Seit den 2000ern wurde der Stadtteil saniert, und viele Bauprojekte wurden hier durchgeführt. Dazu zählt beispielsweise die Errichtung des Gebäudes eines großen Museums und eines Einkaufszentrums.","EN":"The Confluence is a district that has changed significantly over the years. These changes were orchestrated around the 1770s by the well-known engineer and sculptor, Michel-Antoine Perrache. After his death, the district continued to develop, with the Perrache train station being built in the mid-19th century. The district has been redeveloping since the 2000s, with several major construction projects, including a huge museum and shopping centre.","IT":"Confluence è un quartiere che ha vissuto dei profondi cambiamenti. Quest\'ultimi, a partire dal 1770, furono diretti dallo scultore e dall\'ingegnere lionese Antoine-Michel Perrache. Dopo la sua morte, lo sviluppo del quartiere continuò e una stazione, durante la metà del 19esimo secolo, fu costruita. A partire dagli anni 2000, la riabilitazione del quartiere si è incentrata su diversi progetti, come per esempio la costruzione di un museo e di un centro commerciale.","FR":"Confluence est un quartier qui a connu de profondes mutations. Elles furent orchestrées à l’origine par le sculpteur et ingénieur lyonnais Antoine-Michel Perrache dès le début des années 1770. À la suite de sa mort, le développement du quartier fut maintenu et une gare vit le jour au milieu du 19ème siècle. Depuis les années 2000, la réhabilitation du quartier s’est articulée autour de plusieurs projets, avec par exemple la construction d’un musée et d’un centre commercial.","ES":"El de Confluence es el barrio de las grandes transformaciones. A partir de 1770, el escultor e ingeniero lionés Antoine-Michel Perrache tomó las riendas de su metamorfosis. A su muerte, el barrio continuó desarrollándose de tal manera que llegó a acoger, a mediados del siglo XIX, una estación de tren. Desde el año 2000, la rehabilitación de la zona ha girado en torno a proyectos como la construcción de un museo y de un centro comercial. ","NL":"De buurt van Confluence is een buurt die grondige veranderingen gekend heeft. Deze werden gedaan door de beeldhouwwerker en ingenieur van Lyon Antoine-Michel Perrache vanaf begin van de jaren 1770. Na zijn dood werd de ontwikkeling van de buurt behouden en een station werd gebouwd midden 19de eeuw. Vanaf de jaren 2000, werd de buurt heringericht rond verschillende projecten, bijvoorbeeld de bouw van een museum en een commercieel centrum."},"IdCity":"V1","GPS":[{"Latitude":45.737505,"Longitude":4.814471}],"IsDirectionnal":false,"Idtype":5,"IsAutoDirectionActivated":false,"Range":500,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Confluence-Viertel","EN":"Confluence","IT":"Quartiere della Confluence","FR":"Quartier de la Confluence","ES":"Confluence","NL":"Buurt van Confluence"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Das Gerland-Viertel ist vom starken, städtischen Wandel geprägt, den es im letzten Jahrhundert erfuhr. Diese Veränderungen, die für das 20. Jahrhundert und noch heute von Bedeutung sind, machen die Besonderheit dieses bemerkenswerten Ortes aus. Es wurde ursprünglich als Industriegebiet errichtet, ist heute allerdings ein wichtiges Forschungszentrum, und entwickelt sich außerdem zu einem Verkehrsknotenpunkt.","EN":"The district of Gerland has been subject to much urban development throughout the last century. It was originally designed as an industrial district, but is now an important centre for research, which is also developing into an important transportation hub.\n","IT":"Il quartiere di Gerland è stato segnato, nel tempo, da importanti modifiche urbane. Questi cambiamenti, in corso ancora oggi, costituiscono la specificità di questo sito. All\'inizio pensato come quartiere industriale, oggi è un importante polo di ricerca e ben presto diventerà un importante hub di trasporti.","FR":"Le quartier de Gerland est marqué tout au long de son histoire par de fortes mutations urbaines. Ces bouleversements, sensibles au 20ème siècle et encore aujourd\'hui, font la spécificité de ce site remarquable. D’abord conçu comme quartier industriel, Gerland est désormais un pôle de recherche important et est également amené à devenir un nœud de transport.","ES":"El barrio de Gerland lleva la marca de las importantes obras urbanísticas sufridas a lo largo de su historia. Son esas transformaciones las que hacen, a día de hoy, la singularidad de la zona. Del barrio industrial que fue en sus orígenes, Gerland se ha convertido en un importante polo de investigación. Además, está llamado a ser el próximo gran nudo de comunicaciones.","NL":"De buurt van Gerland is gekenmerkt in zijn geschiedenis door zijn grote urbanistische veranderingen. Deze omwentelingen, gevoelig in de 20ste eeuw en ook nog vandaag, maken deze site opmerkelijk. Eerst ontworpen als industriële wijk, Gerland is nu een wijk voor belangrijk onderzoek en knooppunt voor transport. "},"IdCity":"V1","GPS":[{"Latitude":45.726779,"Longitude":4.826569},{"Latitude":45.73424,"Longitude":4.827982}],"IsDirectionnal":false,"Idtype":5,"IsAutoDirectionActivated":false,"Range":500,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Gerland-Viertel","EN":"Gerland","IT":"Quartiere di Gerland","FR":"Quartier de Gerland","ES":"Gerland","NL":"Buurt van Gerland"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Die Raymond Barre-Brücke ist eine Brücke, die ausschließlich sanfter Mobilität gewidmet ist. So kann sie nur von nachhaltigen Verkehrsmitteln genutzt werden, wie zum Beispiel Fahrrädern oder Straßenbahnen. Die Brücke ist nach dem französischen Politiker und Wirtschaftswissenschaftler Raymond Barre benannt, ehemaliger Bürgermeister von Lyon.","EN":"The Raymond Barre Bridge is a bridge spanning the Rhône which is reserved exclusively for sustainable modes of transport, including bicycles and trams. The bridge is named after the French politician and economist, Raymond Barre, a former mayor of Lyon.","IT":"Il ponte Raymond Barre è un ponte riservato alla mobilità sostenibile, ovvero su mezzi di trasporto come bici e tram. Il ponte, che attraversa il Rodano, rende omaggio a Raymond Barre, economista e figura politica francese, ed anche ex sindaco della città di Lione.","FR":"Le Pont Raymond-Barre est un pont réservé aux transports doux, tels que les vélos et tramways. Traversant le Rhône, il rend hommage à Raymond Barre, économiste et homme politique français, mais aussi ancien maire de Lyon.","ES":"El Puente Raymond Barre une las dos orillas del Ródano. Solo está abierto al tránsito de medios de transporte no motorizados, como por ejemplo, la bicicleta o el tranvía. Su nombre es un homenaje al economista francés, y antiguo alcalde de Lyon, Raymond Barre."},"IdCity":"V1","GPS":[{"Latitude":45.732714,"Longitude":4.820348}],"IsDirectionnal":false,"Idtype":1,"IsAutoDirectionActivated":false,"Range":50,"IsBloquant":false,"Route":{"PA295":true,"PA294":true,"PA293":true},"Name":{"DE":"Raymond Barre-Brücke","EN":"Raymond Barre Bridge","IT":"Ponte Raymond Barre","FR":"Pont Raymond Barre","ES":"Puente Raymond Barre"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Biegen Sie leicht links ab, aber bleiben Sie auf der erhöhten Ebene, anstatt runter zum Ufer zu laufen.","EN":"Turn slightly to the left and carry on along the quays.","IT":"Gira leggermente a sinistra poi resta sulla parte superiore delle quais.","FR":"Prenez légèrement à gauche puis restez sur le haut des quais.","ES":"Tuerce ligeramente a la izquierda y sigue bordeando el río desde arriba.","NL":""},"IdCity":"V1","GPS":[{"Latitude":45.731014,"Longitude":4.817656}],"IsDirectionnal":true,"Idtype":10,"IsAutoDirectionActivated":false,"Range":20,"IsBloquant":false,"Route":{"PA293":true},"Name":{"DE":"D57 (Promenade à Gerland)","EN":"D57 (Promenade à Gerland)","IT":"D57 (Promenade à Gerland)","FR":"D57 (Promenade à Gerland)","ES":"D57 (Promenade à Gerland)"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Biegen Sie links ab, um die Saône entlangzulaufen.","EN":"Turn left to go along the Saône.","IT":"Gira a sinistra per poi andare lungo la Saona.","FR":"Tournez à gauche afin de longer la Saône.","ES":"Gira a la izquierda y bordea el Saona. ","NL":""},"IdCity":"V1","GPS":[{"Latitude":45.733212,"Longitude":4.815606}],"IsDirectionnal":true,"Idtype":10,"IsAutoDirectionActivated":false,"Range":20,"IsBloquant":false,"Route":{"PA293":true},"Name":{"DE":"D55 (Promenade à Gerland)","EN":"D55 (Promenade à Gerland)","IT":"D55 (Promenade à Gerland)","FR":"D55 (Promenade à Gerland)","ES":"D55 (Promenade à Gerland)"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Überqueren Sie die Straße. Laufen Sie dann geradeaus über den Platz Place Docteurs Charles et Christophe Mérieux.","EN":"Cross the road, then continue straight on over Docteurs Charles and Christophe Mérieux square.","IT":"Attraversa la strada poi continua dritto per piazza Docteurs Charles et Christophe Mérieux.","FR":"Traversez la route puis continuez tout droit sur place Docteurs Charles et Christophe Mérieux.","ES":"Cruza la calle; después, continúa recto por la Plaza Docteurs Charles et Christophe Mérieux. ","NL":""},"IdCity":"V1","GPS":[{"Latitude":45.731385,"Longitude":4.825751}],"IsDirectionnal":true,"Idtype":10,"IsAutoDirectionActivated":false,"Range":20,"IsBloquant":false,"Route":{"PA293":true},"Name":{"DE":"D58 (Promenade à Gerland)","EN":"D58 (Promenade à Gerland)","IT":"D58 (Promenade à Gerland)","FR":"D58 (Promenade à Gerland)","ES":"D58 (Promenade à Gerland)"}},{"Checked":{"DE":true,"EN":true,"IT":true,"FR":true,"ES":true,"NL":false},"Status":4,"Description":{"DE":"Biegen Sie rechts ab, um an das Ufer zu gelangen.","EN":"Turn right onto the quays.","IT":"Gira a destra per raggiungere le quais.","FR":"Tournez à droite afin de rejoindre les quais.","ES":"Gira a la derecha y dirígete hacia la orilla del río.","NL":""},"IdCity":"V1","GPS":[{"Latitude":45.733436,"Longitude":4.816133}],"IsDirectionnal":true,"Idtype":10,"IsAutoDirectionActivated":false,"Range":20,"IsBloquant":false,"Route":{"PA293":true},"Name":{"DE":"D54 (Promenade à Gerland)","EN":"D54 (Promenade à Gerland)","IT":"D54 (Promenade à Gerland)","FR":"D54 (Promenade à Gerland)","ES":"D54 (Promenade à Gerland)"}}]}',
                accessToken: "pk.eyJ1IjoibWlsZS1kZXYiLCJhIjoiY2s0OGJkNWEyMDB5ZTNna2Z5b2c2YTF3MCJ9.D5Ebdy0_ADSTQPTH4GCc9w",
                mode: widget.mode,
                languages: ["FR"],
                //sponsor: "https://firebasestorage.googleapis.com/v0/b/shining-heat-203.appspot.com/o/Sponsor%2FLogo%2FIBIS.NOVOTEL.LYON.CONFLUENCE.v4.png?alt=media&token=44e32e4e-e02a-4e08-887d-368dddd63ec1",
                sponsor: "",
                distanceUnit: "imperial",
                speedUnit: "mph",
                //unit: "metric",
                onMapCreated: (controller) {
                  print("onMapCreated");
                  this.navigationController = controller;
                },
                onNavigationStarted: (isStarted) {
                  setState(() {
                    navigationStarted = isStarted;
                  });
                },
                onActivePOI: (poi, play) {
                  print("onActivePOI");
                  if(play) {
                    navigationController.playTTS("Je play la description du PéO I, parce que j'ai activé l'audio guidage.");
                  }
                },
                onNavigationFinished: (routeFinished) {
                  print("onNavigationFinished");
                  //Close this view
                  Navigator.of(context).pop();
                },
                onEmergencySmsClick: () {
                  print("onEmergencySmsClick");
                },
                onReportClick: () {
                  print("onReportClick");
                },
                onMusicClick: () {
                  print("onMusicClick");
                },
                onSponsorClick: () {
                  print("onSponsorClick");
                },
              ),
            ),
            !navigationStarted ?
              InkWell(
                onTap: () {
                  Navigator.of(context).pop();
                },
                child: Container(
                  width: 30,
                  height: 30,
                  margin: EdgeInsets.only(top: 15, left: 15),
                  child: Icon(Platform.isIOS ? Icons.arrow_back_ios : Icons.arrow_back, color: Colors.white),
                ),
              )
            :
              Container(),
          ],
        ),
      ),
    );
  }
}
